
%define akonadiprivate_major 5
%define libakonadiprivate %mklibname akonadiprivate %{akonadiprivate_major}
%define akonadi_devel %mklibname kf5akonadi -d

Name: akonadi
Summary: An extensible cross-desktop storage service for PIM
Version: 17.12.3
Release: %mkrel 1
URL: http://pim.kde.org/akonadi/
License: LGPLv2+
Group: Graphical desktop/KDE5
Source0: http://fr2.rpmfind.net/linux/KDE/stable/akonadi/src/%{name}-%{version}.tar.xz
#general buildrequires
#------------------------------------------------------
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5imageformats-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5bluetooth-devel
BuildRequires: %{_lib}qt5bootstrap-devel
BuildRequires: %{_lib}qt5clucene-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5egldeviceintegration-devel
BuildRequires: %{_lib}qt5labstemplates-devel
BuildRequires: %{_lib}qt5location-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediaquick_p-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel
BuildRequires: %{_lib}qt5nfc-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5platformsupport-devel
BuildRequires: %{_lib}qt5positioning-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qgsttools_p-devel
BuildRequires: %{_lib}qt5quickparticles-devel
BuildRequires: %{_lib}qt5quicktest-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5scripttools-devel
BuildRequires: %{_lib}qt5sensors-devel
BuildRequires: %{_lib}qt5serialport-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5waylandclient-devel
BuildRequires: %{_lib}qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires: extra-cmake-modules
BuildRequires: shared-mime-info
BuildRequires: libxslt-proc
BuildRequires: libxml2-utils
BuildRequires: mysql-devel
BuildRequires: postgresql-devel-virtual
BuildRequires: boost-devel
BuildRequires: %{_lib}sqlite3-devel
#------------------------------------------------------
Requires: qtbase5-database-plugin-mysql
Requires: mysql-core
Requires: mysql-common
Requires: mysql-client
#------------------------------------------------------
Obsoletes: kdepimlibs-handbooks

%description
An extensible cross-desktop storage service for PIM data and meta data
providing concurrent read, write, and query access.

%files
%doc README
%{_bindir}/*
%dir %{_sysconfdir}/akonadi
# Good location ?
%_sysconfdir/akonadi.categories
%config %{_sysconfdir}/akonadi/mysql-global-mobile.conf
%config %{_sysconfdir}/akonadi/mysql-global.conf
%dir %{_libdir}/%{name}
%{_datadir}/dbus-1/services/*
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/mime/packages/akonadi-mime.xml
%{_libdir}/plugins/sqldrivers/libqsqlite3.so
%{_libdir}/plugins/akonadi/akonadi_test_searchplugin.so
%{_libdir}/plugins/designer/akonadi5widgets.so
%{_datadir}/akonadi/agents/knutresource.desktop
%{_datadir}/config.kcfg/resourcebase.kcfg
%{_datadir}/kf5/akonadi/akonadi-xml.xsd
%{_datadir}/kf5/akonadi/kcfg2dbus.xsl
%{_datadir}/kf5/akonadi_knut_resource/knut-template.xml
#------------------------------------------------------------------------------
%_libdir/libKF5Akonadi*.so.%{akonadiprivate_major}*
#------------------------------------------------------------------------------
%_sysconfdir/akonadi.renamecategories
%{_datadir}/locale
%{_datadir}/icons/hicolor
%exclude %{_datadir}/kdevappwizard/templates/akonadiresource.tar.bz2
%exclude %{_datadir}/kdevappwizard/templates/akonadiserializer.tar.bz2
   
%package   -n %akonadi_devel
Summary:   Devel stuff for %name
Group:     Development/Libraries
Requires:  %name
Obsoletes: akonadi-devel
Provides:  akonadi-devel = %version-%release

%description  -n %akonadi_devel
This package contains header files needed if you wish to build applications
based on %name

%files -n %akonadi_devel
%{_includedir}/*
%{_libdir}/*.so
/usr/mkspecs/modules/qt_Akonadi*.pri
%{_libdir}/cmake/KF5Akonadi/*
#------------------------------------------------------------------------------


%prep
%setup -q 

%build
export USE_CCACHE=1
%cmake_qt5 -DMYSQLD_EXECUTABLE=/usr/sbin/mysqld -DCONFIG_INSTALL_DIR=%{_sysconfdir} -DCMAKE_BUILD_TYPE=Release -DBUILD_TESTING=OFF
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

# We own this as this is present in some packages like korganiser
mkdir -p %buildroot%{_libdir}/%{name}


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Fri Dec 16 2016 bb <bb> - 16.12.0-1pclos2017
- new version

* Fri Dec 09 2016 bb <bb> 16.08.3-2pclos2016
- update


